/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"memory_debug.h"
#include	"pdb.h"


void
free_request(PDB_REQUEST * pr)
{
PDB_REQUEST * pr1;
	for ( ; pr ; ) {
		pr1 = pr;
		pr = pr1->next;
		if ( pr1->option )
			d_f_ree(pr1->option);
		d_f_ree(pr1);
	}
}